<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>C&oacute;digo de reloj digital</title> 
<style type="text/css">
.c { color: purple; font-style: italic; }

.reloj { width: 150px; height: 30px; padding: 5px 10px; border: 1px solid black; 
         font: bold 1.5em dotum, "lucida sans", arial; 
         text-align: center;
         float: right; margin: 1em 3em 1em 1em; }
</style>
<script type="text/javascript">
function actual() {
         fecha=new Date(); //Actualizar fecha.
         hora=fecha.getHours(); //hora actual
         minuto=fecha.getMinutes(); //minuto actual
         segundo=fecha.getSeconds(); //segundo actual
         if (hora<10) { //dos cifras para la hora
            hora="0"+hora;
            }
         if (minuto<10) { //dos cifras para el minuto
            minuto="0"+minuto;
            }
         if (segundo<10) { //dos cifras para el segundo
            segundo="0"+segundo;
            }
         //ver en el recuadro del reloj:
         mireloj = hora+" : "+minuto+" : "+segundo;	
				 return mireloj; 
         }
function actualizar() { //funci&oacute;n del temporizador
   mihora=actual(); //recoger hora actual
   mireloj=document.getElementById("reloj"); //buscar elemento reloj
   mireloj.innerHTML=mihora; //incluir hora en elemento
	 }
setInterval(actualizar,1000); //iniciar temporizador
</script>
</head>
<body>
   <h1> VERSION 6, AHORA CON MAS MINUTOS! </H1>
<h1>C&oacute;digo de la p&aacute;gina de ejercicio "reloj".</h1>
	 <div id="reloj" class="reloj">00 : 00 : 00
	 </div> 
<h2>C&oacute;digo en HTML</h2>
<pre>
&lt;div id="reloj" class="reloj"&gt;00 : 00 : 00
&lt;/div&gt;
</pre>
<h2>C&oacute;digo en CSS</h2>
<pre>
.reloj { width: 150px; height: 30px; padding: 5px 10px; border: 1px solid black; 
         font: bold 1.5em dotum, "lucida sans", arial; 
         text-align: center;
         float: right; margin: 1em 3em 1em 1em; }
</pre>
<h2>C&oacute;digo en Javascript</h2>
<pre>
function actual() {
         fecha=new Date(); <span class="c">//Actualizar fecha.</span>
         hora=fecha.getHours(); <span class="c">//hora actual</span>
         minuto=fecha.getMinutes(); <span class="c">//minuto actual</span>
         segundo=fecha.getSeconds(); <span class="c">//segundo actual</span>
         if (hora&lt;10) { <span class="c">//dos cifras para la hora</span>
            hora="0"+hora;
            }
         if (minuto&lt;10) { <span class="c">//dos cifras para el minuto</span>
            minuto="0"+minuto;
            }
         if (segundo&lt;10) { <span class="c">//dos cifras para el segundo</span>
            segundo="0"+segundo;
            }
         <span class="c">//ver en el recuadro del reloj:</span>
         mireloj = hora+" : "+minuto+" : "+segundo;	
				 return mireloj; 
         }
function actualizar() { <span class="c">//funci&oacute;n del temporizador</span>
   mihora=actual(); <span class="c">//recoger hora actual</span>
   mireloj=document.getElementById("reloj"); <span class="c">//buscar elemento reloj</span>
   mireloj.innerHTML=mihora; <span class="c">//incluir hora en elemento</span>
	 }
setInterval(actualizar,1000); <span class="c">//iniciar temporizador</span>
</pre>
